curl -X PUT \
'https://api.appcharge.com/v1/portal-content/507f1f77bcf86cd799439011' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
-d '{
"title": "New Game: Jelly Soda",
"state": "visible",
"labels": ["tutorial", "beginner", "featured"]
}'
{
"id": "507f1f77bcf86cd799439011",
"title": "New Game: Jelly Soda",
"subTitle": "Everything you need to know",
"bodyText": "This is the main content body with detailed information...",
"headerImage": "https://cdn.example.com/images/header.jpg",
"thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
"labels": ["tutorial", "beginner", "featured"],
"state": "visible",
"contentType": "article",
"slug": "welcome-to-our-game",
"visibility": "public",
"tag": "spring2025",
"createdAt": "2025-10-15T10:30:00.000Z",
"updatedAt": "2025-10-20T14:45:00.000Z",
"translations": [
{
"isoCode": "fr-FR",
"title": "Bienvenue dans notre jeu",
"subTitle": "Tout ce que vous devez savoir",
"bodyText": "Ceci est le contenu principal de l'article en français...",
"headerImage": "https://cdn.example.com/images/header-fr.jpg",
"thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
"labels": ["tutoriel", "débutant"]
}
],
"pages": [
{
"id": "6850249eb5bd5c59b9bab7e2",
"pageName": "FAQs"
},
{
"id": "692eb70d0293e07ab4895518",
"pageName": "Events"
}
]
}
{
"message": "BAD_REQUEST",
"requestUrl": "/v1/portal-content/{contentId}",
"body": "Invalid request body or validation error."
}
{
"message": "UNAUTHORIZED",
"requestUrl": "/v1/portal-content/{contentId}",
"body": "Invalid or missing publisher token."
}
{
"message": "NOT_FOUND",
"requestUrl": "/v1/portal-content/{contentId}",
"body": "Content not found."
}
{
"message": "CONFLICT",
"requestUrl": "/v1/portal-content/{contentId}",
"body": "Slug already exists."
}
{
"message": "INTERNAL_SERVER_ERROR",
"requestUrl": "/v1/portal-content/{contentId}",
"body": "Server error."
}
Update Content
Updates a content item.
curl -X PUT \
'https://api.appcharge.com/v1/portal-content/507f1f77bcf86cd799439011' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
-d '{
"title": "New Game: Jelly Soda",
"state": "visible",
"labels": ["tutorial", "beginner", "featured"]
}'
{
"id": "507f1f77bcf86cd799439011",
"title": "New Game: Jelly Soda",
"subTitle": "Everything you need to know",
"bodyText": "This is the main content body with detailed information...",
"headerImage": "https://cdn.example.com/images/header.jpg",
"thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
"labels": ["tutorial", "beginner", "featured"],
"state": "visible",
"contentType": "article",
"slug": "welcome-to-our-game",
"visibility": "public",
"tag": "spring2025",
"createdAt": "2025-10-15T10:30:00.000Z",
"updatedAt": "2025-10-20T14:45:00.000Z",
"translations": [
{
"isoCode": "fr-FR",
"title": "Bienvenue dans notre jeu",
"subTitle": "Tout ce que vous devez savoir",
"bodyText": "Ceci est le contenu principal de l'article en français...",
"headerImage": "https://cdn.example.com/images/header-fr.jpg",
"thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
"labels": ["tutoriel", "débutant"]
}
],
"pages": [
{
"id": "6850249eb5bd5c59b9bab7e2",
"pageName": "FAQs"
},
{
"id": "692eb70d0293e07ab4895518",
"pageName": "Events"
}
]
}
{
"message": "BAD_REQUEST",
"requestUrl": "/v1/portal-content/{contentId}",
"body": "Invalid request body or validation error."
}
{
"message": "UNAUTHORIZED",
"requestUrl": "/v1/portal-content/{contentId}",
"body": "Invalid or missing publisher token."
}
{
"message": "NOT_FOUND",
"requestUrl": "/v1/portal-content/{contentId}",
"body": "Content not found."
}
{
"message": "CONFLICT",
"requestUrl": "/v1/portal-content/{contentId}",
"body": "Slug already exists."
}
{
"message": "INTERNAL_SERVER_ERROR",
"requestUrl": "/v1/portal-content/{contentId}",
"body": "Server error."
}
curl -X PUT \
'https://api.appcharge.com/v1/portal-content/507f1f77bcf86cd799439011' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>' \
-d '{
"title": "New Game: Jelly Soda",
"state": "visible",
"labels": ["tutorial", "beginner", "featured"]
}'
{
"id": "507f1f77bcf86cd799439011",
"title": "New Game: Jelly Soda",
"subTitle": "Everything you need to know",
"bodyText": "This is the main content body with detailed information...",
"headerImage": "https://cdn.example.com/images/header.jpg",
"thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
"labels": ["tutorial", "beginner", "featured"],
"state": "visible",
"contentType": "article",
"slug": "welcome-to-our-game",
"visibility": "public",
"tag": "spring2025",
"createdAt": "2025-10-15T10:30:00.000Z",
"updatedAt": "2025-10-20T14:45:00.000Z",
"translations": [
{
"isoCode": "fr-FR",
"title": "Bienvenue dans notre jeu",
"subTitle": "Tout ce que vous devez savoir",
"bodyText": "Ceci est le contenu principal de l'article en français...",
"headerImage": "https://cdn.example.com/images/header-fr.jpg",
"thumbnailImage": "https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg",
"labels": ["tutoriel", "débutant"]
}
],
"pages": [
{
"id": "6850249eb5bd5c59b9bab7e2",
"pageName": "FAQs"
},
{
"id": "692eb70d0293e07ab4895518",
"pageName": "Events"
}
]
}
{
"message": "BAD_REQUEST",
"requestUrl": "/v1/portal-content/{contentId}",
"body": "Invalid request body or validation error."
}
{
"message": "UNAUTHORIZED",
"requestUrl": "/v1/portal-content/{contentId}",
"body": "Invalid or missing publisher token."
}
{
"message": "NOT_FOUND",
"requestUrl": "/v1/portal-content/{contentId}",
"body": "Content not found."
}
{
"message": "CONFLICT",
"requestUrl": "/v1/portal-content/{contentId}",
"body": "Slug already exists."
}
{
"message": "INTERNAL_SERVER_ERROR",
"requestUrl": "/v1/portal-content/{contentId}",
"body": "Server error."
}
Headers
Publisher token.
Path Parameters
Content ID.
"507f1f77bcf86cd799439011"
Body
Content title.
"Welcome to Our Game - Updated"
Content description.
Content body text.
Content header image URL.
Content thumbnail image URL.
List of labels associated with the content.
["tutorial", "beginner", "featured"]
Current state of the content.
visible, hidden, scheduled "visible"
Type: article or news.
article, news Content publish date. Use for scheduling content.
List of pages where this content appears.
Content slug. If not provided, this value is auto-generated.
Content visibility level.
public, private "public"
Internal tag for organizing your content. Not visible to players.
"spring2025"
List of translations for the content item. Each object represents a locale and its translations.
Note: You must first add the locale in the Publisher Dashboard before adding its translations.
Show child attributes
Show child attributes
Response
Content updated successfully.
Content ID.
"507f1f77bcf86cd799439011"
Content title.
"Welcome to Our Game"
Content description.
"Everything you need to know"
Content body text.
"This is the main content body with detailed information..."
Content header image URL.
"https://cdn.example.com/images/header.jpg"
Content thumbnail image URL.
"https://media.appcharge.com/media/25cb4861ec8924a6b69a0f59/book-shelf1920.jpg"
List of labels associated with the content.
["tutorial", "beginner"]
Current state of the content.
visible, hidden, scheduled "hidden"
Content type.
article, news "article"
Content publish date. Use for scheduling content.
"2025-10-20T00:00:00.000Z"
Content slug. If not provided, this value is auto-generated.
"welcome-to-our-game"
Content visibility level.
public, private "public"
Internal tag for organizing your content. Not visible to players.
"spring2025"
Created date.
"2025-10-15T10:30:00.000Z"
Updated date.
"2025-10-19T14:20:00.000Z"
List of translations for the content item. Each object represents a locale and its translations.
Show child attributes
Show child attributes
List of pages where this content appears.
Show child attributes
Show child attributes
[
{
"id": "68b0249eb5bd5c59b9bab7e2",
"pageName": "FAQs"
},
{
"id": "692eb70d0293e07ab4895518",
"pageName": "Events"
}
]
Was this page helpful?
